Cyberduck Mountain Duck CLI

#2664 closed defect (worksforme)

Incompatibility with SSH-2.0-Sun_SSH_1.0.1

Reported by: zoltan.sebestyen@… Owned by: dkocher
Priority: normal Milestone:
Component: sftp Version: 3.0.2
Severity: normal Keywords:
Cc: Architecture:
Platform:

Description

It connects and immediately disconnects from such servers. Sun has a modified version of some older OpenSSH release. the Sun ssh version in question is: SSH-2.0-Sun_SSH_1.0.1 I did not find any hints how to collect some more info for you. Please advise.

Change History (8)

comment:1 follow-up: Changed on Oct 20, 2008 at 8:59:51 AM by dkocher

  • Component changed from core to sftp
  • Summary changed from Cyberduck can't connect to Sun SSH servers to Cannot connect to Sun SSH servers

Possibly same as reported in #2490. Please set the logging level to debug using defaults write ch.sudo.cyberduck logging DEBUG in a Terminal.app window and then look for related output in the console.log (/Applications/Utilities/Console.app).

comment:2 in reply to: ↑ 1 Changed on Oct 20, 2008 at 9:20:27 AM by anonymous

Replying to dkocher:

Possibly same as reported in #2490. Please set the logging level to debug using defaults write ch.sudo.cyberduck logging DEBUG in a Terminal.app window and then look for related output in the console.log (/Applications/Utilities/Console.app).

Hi, Unfortunately I couldn't attach the log file to the case, so I'm trying to include to relevant parts here:

10/20/08 11:13:29 AM [0x0-0x105105].ch.sudo.cyberduck[2116] 2008-10-20 11:13:29,600 [main] DEBUG ch.cyberduck.ui.cocoa.CDBrowserController - setSelectedPaths 
10/20/08 11:13:29 AM [0x0-0x105105].ch.sudo.cyberduck[2116] 2008-10-20 11:13:29,600 [main] DEBUG ch.cyberduck.ui.cocoa.CDBrowserController - deselectAll 
10/20/08 11:13:29 AM [0x0-0x105105].ch.sudo.cyberduck[2116] 2008-10-20 11:13:29,637 [main] DEBUG ch.cyberduck.ui.cocoa.CDBrowserController - bookmarkSwitchClicked:true 
10/20/08 11:13:29 AM [0x0-0x105105].ch.sudo.cyberduck[2116] 2008-10-20 11:13:29,952 [main] INFO  ch.cyberduck.core.Host - IDN hostname for vega:vega 
10/20/08 11:13:29 AM [0x0-0x105105].ch.sudo.cyberduck[2116] 2008-10-20 11:13:29,952 [main] DEBUG ch.cyberduck.ui.cocoa.CDBrowserController - mount:sftp://vega:22 
10/20/08 11:13:29 AM [0x0-0x105105].ch.sudo.cyberduck[2116] 2008-10-20 11:13:29,952 [main] DEBUG ch.cyberduck.ui.cocoa.CDBrowserController - unmount 
10/20/08 11:13:29 AM [0x0-0x105105].ch.sudo.cyberduck[2116] 2008-10-20 11:13:29,980 [main] DEBUG ch.cyberduck.ui.cocoa.CDBrowserController - setWorkdir:null 
10/20/08 11:13:29 AM [0x0-0x105105].ch.sudo.cyberduck[2116] 2008-10-20 11:13:29,980 [main] DEBUG ch.cyberduck.ui.cocoa.CDBrowserController - reloadData 
10/20/08 11:13:29 AM [0x0-0x105105].ch.sudo.cyberduck[2116] 2008-10-20 11:13:29,980 [main] DEBUG ch.cyberduck.ui.cocoa.CDBrowserController - deselectAll 
10/20/08 11:13:29 AM [0x0-0x105105].ch.sudo.cyberduck[2116] 2008-10-20 11:13:29,980 [main] DEBUG ch.cyberduck.ui.cocoa.CDBrowserOutlineViewModel - outlineViewNumberOfChildrenOfItem:null 
10/20/08 11:13:29 AM [0x0-0x105105].ch.sudo.cyberduck[2116] 2008-10-20 11:13:29,980 [main] DEBUG ch.cyberduck.ui.cocoa.CDBrowserController - setSelectedPaths 
10/20/08 11:13:29 AM [0x0-0x105105].ch.sudo.cyberduck[2116] 2008-10-20 11:13:29,980 [main] DEBUG ch.cyberduck.ui.cocoa.CDBrowserController - deselectAll 
10/20/08 11:13:29 AM [0x0-0x105105].ch.sudo.cyberduck[2116] 2008-10-20 11:13:29,989 [main] INFO  ch.cyberduck.ui.cocoa.CDWindowController - Started background runnable:vega 
10/20/08 11:13:29 AM [0x0-0x105105].ch.sudo.cyberduck[2116] 2008-10-20 11:13:29,989 [Background] INFO  ch.cyberduck.ui.cocoa.CDWindowController - Acquired lock for background runnable:vega 
10/20/08 11:13:30 AM [0x0-0x105105].ch.sudo.cyberduck[2116] 2008-10-20 11:13:30,009 [main] INFO  ch.cyberduck.core.Preferences - setProperty:browser.logDrawer.isOpen,true 
10/20/08 11:13:30 AM [0x0-0x105105].ch.sudo.cyberduck[2116] 2008-10-20 11:13:30,071 [Background] DEBUG ch.cyberduck.ui.cocoa.CDMainApplication - Event Queue Size:1 
10/20/08 11:13:30 AM [0x0-0x105105].ch.sudo.cyberduck[2116] 2008-10-20 11:13:30,072 [Background] INFO  ch.cyberduck.core.Session - Mounting vega 
10/20/08 11:13:30 AM [0x0-0x105105].ch.sudo.cyberduck[2116] 2008-10-20 11:13:30,073 [Background] DEBUG ch.cyberduck.ui.cocoa.CDMainApplication - Event Queue Size:2 
10/20/08 11:13:30 AM [0x0-0x105105].ch.sudo.cyberduck[2116] 2008-10-20 11:13:30,073 [Background] DEBUG ch.cyberduck.core.Session - connectionWillOpen 
10/20/08 11:13:30 AM [0x0-0x105105].ch.sudo.cyberduck[2116] 2008-10-20 11:13:30,073 [Background] DEBUG ch.cyberduck.ui.cocoa.CDMainApplication - Event Queue Size:3 
10/20/08 11:13:30 AM [0x0-0x105105].ch.sudo.cyberduck[2116] 2008-10-20 11:13:30,074 [Background] INFO  ch.cyberduck.core.Proxy - Locating libProxy.dylib at '/Applications/Cyberduck.app/Contents/Resources/Java/libProxy.dylib' 
10/20/08 11:13:30 AM [0x0-0x105105].ch.sudo.cyberduck[2116] 2008-10-20 11:13:30,075 [Background] INFO  ch.cyberduck.core.Proxy - libProxy.dylib loaded 
10/20/08 11:13:30 AM [0x0-0x105105].ch.sudo.cyberduck[2116] 2008-10-20 11:13:30,082 [Background] INFO  ch.cyberduck.core.Session - Resolving vega 
10/20/08 11:13:30 AM [0x0-0x105105].ch.sudo.cyberduck[2116] 2008-10-20 11:13:30,083 [Background] DEBUG ch.cyberduck.ui.cocoa.CDMainApplication - Event Queue Size:4 
10/20/08 11:13:30 AM [0x0-0x105105].ch.sudo.cyberduck[2116] 2008-10-20 11:13:30,083 [Background] DEBUG ch.cyberduck.core.Resolver - Waiting for resolving of vega 
10/20/08 11:13:30 AM [0x0-0x105105].ch.sudo.cyberduck[2116] 2008-10-20 11:13:30,086 [Resolver for vega] INFO  ch.cyberduck.core.Resolver - Resolved vega to 192.168.35.18 
10/20/08 11:13:30 AM [0x0-0x105105].ch.sudo.cyberduck[2116] 2008-10-20 11:13:30,086 [Background] INFO  ch.cyberduck.core.Session - Opening SFTP connection to vega 
10/20/08 11:13:30 AM [0x0-0x105105].ch.sudo.cyberduck[2116] 2008-10-20 11:13:30,087 [Background] DEBUG ch.cyberduck.ui.cocoa.CDMainApplication - Event Queue Size:5 
10/20/08 11:13:30 AM [0x0-0x105105].ch.sudo.cyberduck[2116] 2008-10-20 11:13:30,376 [Background] INFO  ch.cyberduck.core.Session - SFTP connection opened 
10/20/08 11:13:30 AM [0x0-0x105105].ch.sudo.cyberduck[2116] 2008-10-20 11:13:30,376 [Background] DEBUG ch.cyberduck.ui.cocoa.CDMainApplication - Event Queue Size:1 
10/20/08 11:13:30 AM [0x0-0x105105].ch.sudo.cyberduck[2116] 2008-10-20 11:13:30,376 [Background] INFO  ch.cyberduck.core.AbstractLoginController - Searching keychain for password... 
10/20/08 11:13:30 AM [0x0-0x105105].ch.sudo.cyberduck[2116] 2008-10-20 11:13:30,376 [Background] INFO  ch.cyberduck.core.Credentials - Fetching password from Keychain for:sftp,vega,szoli 
10/20/08 11:13:30 AM [0x0-0x105105].ch.sudo.cyberduck[2116] 2008-10-20 11:13:30,377 [Background] INFO  ch.cyberduck.core.Keychain - Locating libKeychain.dylib at '/Applications/Cyberduck.app/Contents/Resources/Java/libKeychain.dylib' 
10/20/08 11:13:30 AM [0x0-0x105105].ch.sudo.cyberduck[2116] 2008-10-20 11:13:30,382 [Background] INFO  ch.cyberduck.core.Keychain - libKeychain.dylib loaded 
10/20/08 11:13:30 AM [0x0-0x105105].ch.sudo.cyberduck[2116] 2008-10-20 11:13:30,401 [Background] INFO  ch.cyberduck.core.Session - Authenticating as szoli 
10/20/08 11:13:30 AM [0x0-0x105105].ch.sudo.cyberduck[2116] 2008-10-20 11:13:30,402 [Background] DEBUG ch.cyberduck.ui.cocoa.CDMainApplication - Event Queue Size:1 
10/20/08 11:13:30 AM [0x0-0x105105].ch.sudo.cyberduck[2116] 2008-10-20 11:13:30,402 [Background] DEBUG ch.cyberduck.core.sftp.SFTPSession - loginUsingPasswordAuthentication:ch.cyberduck.core.Credentials@31de9b 
10/20/08 11:13:30 AM [0x0-0x105105].ch.sudo.cyberduck[2116] 2008-10-20 11:13:30,439 [Background] INFO  ch.cyberduck.core.Session - Login successful 
10/20/08 11:13:30 AM [0x0-0x105105].ch.sudo.cyberduck[2116] 2008-10-20 11:13:30,439 [Background] DEBUG ch.cyberduck.ui.cocoa.CDMainApplication - Event Queue Size:1 
10/20/08 11:13:30 AM [0x0-0x105105].ch.sudo.cyberduck[2116] 2008-10-20 11:13:30,439 [Background] DEBUG ch.cyberduck.core.Session - connectionDidOpen 
10/20/08 11:13:30 AM [0x0-0x105105].ch.sudo.cyberduck[2116] 2008-10-20 11:13:30,439 [Background] DEBUG ch.cyberduck.core.Credentials - addInternetPasswordToKeychain:sftp,vega,szoli 
10/20/08 11:13:30 AM [0x0-0x105105].ch.sudo.cyberduck[2116] 2008-10-20 11:13:30,629 [Background] DEBUG ch.cyberduck.ui.cocoa.CDMainApplication - Event Queue Size:1 
10/20/08 11:13:30 AM [0x0-0x105105].ch.sudo.cyberduck[2116] 2008-10-20 11:13:30,629 [Background] INFO  ch.cyberduck.core.Session - Starting SFTP subsystem 
10/20/08 11:13:30 AM [0x0-0x105105].ch.sudo.cyberduck[2116] 2008-10-20 11:13:30,629 [Background] DEBUG ch.cyberduck.ui.cocoa.CDMainApplication - Event Queue Size:2 
10/20/08 11:13:30 AM [0x0-0x105105].ch.sudo.cyberduck[2116] 2008-10-20 11:13:30,632 [main] INFO  ch.cyberduck.ui.cocoa.growl.Growl - Locating libGrowl.dylib at '/Applications/Cyberduck.app/Contents/Resources/Java/libGrowl.dylib' 
10/20/08 11:13:30 AM [0x0-0x105105].ch.sudo.cyberduck[2116] 2008-10-20 11:13:30,634 [main] INFO  ch.cyberduck.ui.cocoa.growl.Growl - libGrowl.dylib loaded 
10/20/08 11:13:30 AM [0x0-0x105105].ch.sudo.cyberduck[2116] 2008-10-20 11:13:30,865 [Background] DEBUG ch.cyberduck.core.Session - connectionWillClose 
10/20/08 11:13:30 AM [0x0-0x105105].ch.sudo.cyberduck[2116] 2008-10-20 11:13:30,866 [Background] INFO  ch.cyberduck.core.Session - Disconnecting vega

comment:3 Changed on Oct 21, 2008 at 11:25:47 AM by anonymous

I've just checked. The problem exists for 3.0.3 as well.

comment:4 Changed on Oct 21, 2008 at 11:26:41 AM by zoltan.sebestyen@…

I've just checked. The problem exists for 3.0.3 as well.

comment:5 Changed on Apr 22, 2009 at 10:19:50 AM by dkocher

  • Summary changed from Cannot connect to Sun SSH servers to Incompatibility with SSH-2.0-Sun_SSH_1.0.1

comment:6 Changed on May 18, 2009 at 1:43:59 AM by damian.bickhoff@…

Hi. I've looked at this server-side, and I can't see whether it's Sun's SSH (likely) that's forcing the none connection first, but here's the difference between Cyberduck and /usr/bin/ssh. I can paste in full, but akismet said I was spamming.

Cyberduck:

debug1: userauth-request for user damian service ssh-connection method none
debug1: attempt 0 initial attempt 0 failures 0 initial failures 0
Failed none for damian from 132.234.28.201 port 53955 ssh2
Connection closed by 132.234.28.201

/usr/bin/ssh:

debug1: userauth-request for user damian service ssh-connection method none
debug1: attempt 0 initial attempt 0 failures 0 initial failures 0
Failed none for damian from 132.234.28.201 port 53956 ssh2
debug1: userauth-request for user damian service ssh-connection method publickey
debug1: attempt 1 initial attempt 0 failures 1 initial failures 0

That's the essence of it, anyway. Basically, the first auth always fails, as it's for a connection method that will never work. Like I said, this is probably a config issue Solaris-side, or some other magic, but it'd be nice if Cyberduck could kludge it.

comment:7 Changed on May 18, 2009 at 1:46:09 AM by damian.bickhoff@…

Err, apologies for multi-comment spam, but I have this issue with "SSH-2.0-Sun_SSH_1.1" as well as the version string quoted by reporter.

comment:8 Changed on Apr 1, 2010 at 8:44:34 AM by dkocher

  • Resolution set to worksforme
  • Status changed from new to closed

Looks like you are logging in using public key authentication with ssh. Try to select the private key to use in the bookmark or connection window in Cyberduck. Public Key Authentication should then work, too.

Note: See TracTickets for help on using tickets.